Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004167OCaml~DO NOT USE (was: OCaml general)public2006-11-22 03:282006-11-24 15:40
Reportersquirrel 
Assigned To 
PrioritynormalSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.09.2 
Target VersionFixed in Version3.10+dev 
Summary0004167: caml/fail.h should use char const *
DescriptionIn caml/fail.h, caml_raise_with_string, caml_failwith, and caml_invalid_argument all accept char *. It would be helpful if instead they accepted char const * (as do the functions in alloc.h).
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003860)
doligez (administrator)
2006-11-24 15:40

done in 3.10 trunk

- Issue History
Date Modified Username Field Change
2006-11-22 03:28 squirrel New Issue
2006-11-24 15:40 doligez Note Added: 0003860
2006-11-24 15:40 doligez Status new => closed
2006-11-24 15:40 doligez Resolution open => fixed
2006-11-24 15:40 doligez Fixed in Version => 3.10+dev
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker